incubator-easyant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian M Dube <bd...@apache.org>
Subject Re: Getting started with submodules
Date Thu, 19 May 2011 05:28:46 GMT
On Sun, May 15, 2011 at 12:05:09PM -0700, Brian M Dube wrote:
> The submodule build files use the bnd task to create OSGi bundles from
> the sources. Is this setup a good candidate for EasyAnt? Is a plugin
> already available for creating OSGi bundles?

I've found the build-osgi-bundle-java build type through the
easyant.org site.

When setting the osgi.export.package or osgi.import.package
properties, I'm getting errors when version ranges such as
"[0.10,0.11)" are specified. Parsing breaks due to unmatched ")". How
can I specify OSGi version strings with this build type?

Thanks,
Brian

Mime
View raw message